Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.ejb
Class StatelessSessionBeanImpl

`java.lang.Object
oracle.jbo.server.ejb.SessionBeanImpl
oracle.jbo.server.ejb.StatelessSessionBeanImpl`

All Implemented Interfaces:
  javax.ejb.EnterpriseBean, java.io.Serializable, javax.ejb.SessionBean

public abstract class StatelessSessionBeanImpl
extends SessionBeanImpl

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.jbo.server.ejb.SessionBeanImpl
`mApplicationModule`

Constructor Summary
`StatelessSessionBeanImpl()`

Method Summary
`protected void` | `acquireResources()`
`protected void` | `commit()`
`protected TransactionHandlerFactory` | `createTransactionHandlerFactory()`
`protected void` | `releaseResources()`

Methods inherited from class oracle.jbo.server.ejb.SessionBeanImpl
`connectToDataSource, createApplicationModule, createApplicationModule, disconnectFromDataSource, doMessage, ejbActivate, ejbPassivate, ejbRemove, getApplicationModule, getApplicationModuleDefName, getConfigurationName, getSessionContext, getTransactionTimeOut, isJboBean, isTransactionManagedByBean, postApplicationModuleCreate, removeApplicationModule, setApplicationModuleDefName, setConfigurationName, setCurrentSessionContext, setSessionContext, useDataSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatelessSessionBeanImpl

    public StatelessSessionBeanImpl()

Method Detail

### acquireResources

    protected void acquireResources()
                             throws JboException

  Throws:
    `JboException`

### commit

    protected void commit()
                   throws JboException

  Throws:
    `JboException`

### releaseResources

    protected void releaseResources()
                             throws JboException

  Throws:
    `JboException`

### createTransactionHandlerFactory

    protected TransactionHandlerFactory createTransactionHandlerFactory()

  Overrides:
    `createTransactionHandlerFactory` in class `SessionBeanImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.